curl --request POST \
--url 'https://edi.stateset.com/v1/edi/inbound' \
--header "Authorization: Bearer $STATESET_EDI_API_KEY"
{
"ack_997": "string",
"ack_contrl": "string",
"ack_ta1": "string",
"documents": [
{
"control_number": "string",
"error": "string",
"parsed": {},
"reference": "ORD-10042",
"status": "pending",
"transaction_set": "string"
}
],
"error": "string",
"events_queued": 1,
"interchange_control_number": "string",
"partner_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"status": "pending"
}
Inbound
Processing result with 997 (or TA1) acknowledgment
POST
/
v1
/
edi
/
inbound
curl --request POST \
--url 'https://edi.stateset.com/v1/edi/inbound' \
--header "Authorization: Bearer $STATESET_EDI_API_KEY"
{
"ack_997": "string",
"ack_contrl": "string",
"ack_ta1": "string",
"documents": [
{
"control_number": "string",
"error": "string",
"parsed": {},
"reference": "ORD-10042",
"status": "pending",
"transaction_set": "string"
}
],
"error": "string",
"events_queued": 1,
"interchange_control_number": "string",
"partner_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"status": "pending"
}
Response
InboundResult
string
Serialized 997 interchange acknowledging what we received.
None when the inbound interchange only contained FA groups or was rejected.string
Serialized EDIFACT CONTRL acknowledgment, for inbound EDIFACT interchanges.
string
Serialized TA1 interchange rejection, when envelope validation failed.
InboundDocument[]
required
string
integer
required
string
required
string
required
string
required
processed or interchange_rejected.Status codes
| Code | Meaning |
|---|---|
200 | Processing result with 997 (or TA1) acknowledgment |
404 | No partner matches the ISA sender |
409 | Duplicate interchange control number |
422 | Unparseable X12 |
curl --request POST \
--url 'https://edi.stateset.com/v1/edi/inbound' \
--header "Authorization: Bearer $STATESET_EDI_API_KEY"
{
"ack_997": "string",
"ack_contrl": "string",
"ack_ta1": "string",
"documents": [
{
"control_number": "string",
"error": "string",
"parsed": {},
"reference": "ORD-10042",
"status": "pending",
"transaction_set": "string"
}
],
"error": "string",
"events_queued": 1,
"interchange_control_number": "string",
"partner_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"status": "pending"
}
Last modified on August 31, 2026